> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Income Statement

> This endpoint retrieves fundamental income statement measures for a company, including revenue, expenses, and profitability metrics across reporting periods.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/income-statement/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/income-statement/query:
    post:
      tags:
        - Financials & Ratios
      summary: Income Statement
      description: >-
        This endpoint retrieves fundamental income statement measures for a
        company, including revenue, expenses, and profitability metrics across
        reporting periods.
      operationId: query_income_statement_v1_income_statement_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicIncomeStatementQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicIncomeStatementResponse'
components:
  schemas:
    PublicIncomeStatementQuery:
      properties:
        identifier:
          $ref: '#/components/schemas/SingleIdentifier'
          description: >-
            Object specifying which identifier you are using to request the
            income statement. You must supply one type and its corresponding
            value.
        period:
          $ref: '#/components/schemas/AllowedPeriods'
          description: >-
            Select whether the income statement to be provided are on an annual
            or quarterly basis.
          default: quarter
          examples:
            - quarter
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
          description: >-
            Maximum number of income statements records to return. If omitted,
            all income statements records are returned.
          default: 20
          examples:
            - 20
      type: object
      required:
        - identifier
      title: PublicIncomeStatementQuery
    PublicIncomeStatementResponse:
      properties:
        results:
          anyOf:
            - $ref: '#/components/schemas/IncomeStatement'
            - additionalProperties: true
              type: object
          title: Results
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          anyOf:
            - $ref: '#/components/schemas/Metadata'
            - type: 'null'
      type: object
      required:
        - results
      title: PublicIncomeStatementResponse
    SingleIdentifier:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: >-
            Object specifying which identifier you are using to request the
            intraday price. You must supply one type and its corresponding
            value. Only one identifier should be provided per request.
          examples:
            - rp_entity_id
        value:
          type: string
          title: Value
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
      type: object
      required:
        - type
        - value
      title: SingleIdentifier
    AllowedPeriods:
      type: string
      enum:
        - annual
        - quarter
      title: AllowedPeriods
    IncomeStatement:
      properties:
        rp_entity_id:
          type: string
          title: Rp Entity Id
          description: The RavenPack entity ID of the company.
          examples:
            - 4A6F00
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: The target identifier ID of the company.
          examples:
            - GOOGL
        fields:
          items:
            type: string
            enum:
              - FISCAL_PERIOD_END_DATE
              - REPORTED_CURRENCY
              - CIK
              - FILING_DATE
              - ACCEPTED_DATE
              - FISCAL_YEAR
              - PERIOD
              - REVENUE
              - COST_OF_REVENUE
              - GROSS_PROFIT
              - RESEARCH_AND_DEVELOPMENT_EXPENSES
              - GENERAL_AND_ADMINISTRATIVE_EXPENSES
              - SELLING_AND_MARKETING_EXPENSES
              - SELLING_GENERAL_AND_ADMINISTRATIVE_EXPENSES
              - OTHER_EXPENSES
              - OPERATING_EXPENSES
              - COST_AND_EXPENSES
              - NET_INTEREST_INCOME
              - INTEREST_INCOME
              - INTEREST_EXPENSE
              - DEPRECIATION_AND_AMORTIZATION
              - EBITDA
              - EBIT
              - NON_OPERATING_INCOME_EXCLUDING_INTEREST
              - OPERATING_INCOME
              - TOTAL_OTHER_INCOME_EXPENSES_NET
              - INCOME_BEFORE_TAX
              - INCOME_TAX_EXPENSE
              - NET_INCOME_FROM_CONTINUING_OPERATIONS
              - NET_INCOME_FROM_DISCONTINUED_OPERATIONS
              - OTHER_ADJUSTMENTS_TO_NET_INCOME
              - NET_INCOME
              - NET_INCOME_DEDUCTIONS
              - BOTTOM_LINE_NET_INCOME
              - EPS
              - EPS_DILUTED
              - WEIGHTED_AVERAGE_SHS_OUT
              - WEIGHTED_AVERAGE_SHS_OUT_DIL
          type: array
          title: Fields
          description: The fields of the income statement (fixed list).
          examples:
            - - FISCAL_PERIOD_END_DATE
              - REPORTED_CURRENCY
              - CIK
              - FILING_DATE
              - ACCEPTED_DATE
              - FISCAL_YEAR
              - PERIOD
              - REVENUE
              - COST_OF_REVENUE
              - GROSS_PROFIT
              - RESEARCH_AND_DEVELOPMENT_EXPENSES
              - GENERAL_AND_ADMINISTRATIVE_EXPENSES
              - SELLING_AND_MARKETING_EXPENSES
              - SELLING_GENERAL_AND_ADMINISTRATIVE_EXPENSES
              - OTHER_EXPENSES
              - OPERATING_EXPENSES
              - COST_AND_EXPENSES
              - NET_INTEREST_INCOME
              - INTEREST_INCOME
              - INTEREST_EXPENSE
              - DEPRECIATION_AND_AMORTIZATION
              - EBITDA
              - EBIT
              - NON_OPERATING_INCOME_EXCLUDING_INTEREST
              - OPERATING_INCOME
              - TOTAL_OTHER_INCOME_EXPENSES_NET
              - INCOME_BEFORE_TAX
              - INCOME_TAX_EXPENSE
              - NET_INCOME_FROM_CONTINUING_OPERATIONS
              - NET_INCOME_FROM_DISCONTINUED_OPERATIONS
              - OTHER_ADJUSTMENTS_TO_NET_INCOME
              - NET_INCOME
              - NET_INCOME_DEDUCTIONS
              - BOTTOM_LINE_NET_INCOME
              - EPS
              - EPS_DILUTED
              - WEIGHTED_AVERAGE_SHS_OUT
              - WEIGHTED_AVERAGE_SHS_OUT_DIL
        values:
          items:
            prefixItems:
              - type: string
              - anyOf:
                  - type: string
                  - type: 'null'
              - anyOf:
                  - type: string
                  - type: 'null'
              - anyOf:
                  - type: string
                  - type: 'null'
              - anyOf:
                  - type: string
                  - type: 'null'
              - anyOf:
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: string
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
              - anyOf:
                  - type: number
                  - type: integer
                  - type: 'null'
            type: array
            maxItems: 38
            minItems: 38
          type: array
          title: Values
          description: The values of the income statement.
          examples:
            - - '2025-06-30'
              - USD
              - '0001652044'
              - '2025-07-24'
              - '2025-07-23T19:44:01'
              - 2025
              - Q2
              - 96428000000
              - 39039000000
              - 57389000000
              - 13808000000
              - 5209000000
              - 7101000000
              - 12310000000
              - 0
              - 26118000000
              - 65157000000
              - 789000000
              - 1050000000
              - 261000000
              - 4998000000
              - 39192000000
              - 34194000000
              - -2811000000
              - 31271000000
              - 2662000000
              - 33933000000
              - 5737000000
              - 28196000000
              - 0
              - 0
              - 28196000000
              - 0
              - 28196000000
              - 2.33
              - 2.31
              - 12122000000
              - 12198000000
            - - '2025-03-31'
              - USD
              - '0001652044'
              - '2025-04-25'
              - '2025-04-24T21:05:29'
              - 2025
              - Q1
              - 90234000000
              - 36361000000
              - 53873000000
              - 13556000000
              - 3539000000
              - 6172000000
              - 9711000000
              - 0
              - 23267000000
              - 59628000000
              - 967000000
              - 1001000000
              - 34000000
              - 4487000000
              - 46310000000
              - 41823000000
              - -11217000000
              - 30606000000
              - 11183000000
              - 41789000000
              - 7249000000
              - 34540000000
              - 0
              - 0
              - 34540000000
              - 0
              - 34540000000
              - 2.84
              - 2.81
              - 12183000000
              - 12291000000
      type: object
      required:
        - rp_entity_id
        - target_identifier_id
        - fields
        - values
      title: IncomeStatement
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    Metadata:
      properties:
        request_id:
          type: string
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - request_id
      title: Metadata
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````